## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate gettext-sys

Name:           rust-gettext-sys
Version:        0.21.4
Release:        %autorelease
Summary:        Raw FFI bindings for gettext

License:        MIT
URL:            https://crates.io/crates/gettext-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
Patch:          gettext-sys-fix-metadata.diff
Patch:          0001-always-link-with-system-gettext.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Raw FFI bindings for gettext.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gettext-system-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gettext-system-devel %{_description}

This package contains library source intended for building other packages which
use the "gettext-system" feature of the "%{crate}" crate.

%files       -n %{name}+gettext-system-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove bundled gettext sources
rm -v *.tar.xz

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.21.4-1
- Update to version 0.21.4; Fixes RHBZ#2309059

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.21.3-1
- Update to version 0.21.3; Fixes RHBZ#2064903

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.21.2-1
- Update to version 0.21.2; Fixes RHBZ#1983193

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 22 2021 Jan Staněk <jstanek@redhat.com> - 0.21.0-1
- Update to version 0.21.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.19.9-1
- Update to 0.19.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 02 08:50:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.19.8-2
- Regenerate

* Thu Feb 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.19.8-1
- Initial package

## END: Generated by rpmautospec
